# Gets ticks

### 1. Batch get ticks by pool ID

Use `SDK.Pool.fetchTicks()` method.

#### Parameters

* `pool_id`: The pool object ID
* `coin_type_a`: Coin A type
* `coin_type_b`: Coin B type

#### Example

```typescript
const pool_id = '0xbed3136f15b0ea649fb94bcdf9d3728fb82ba1c3e189bf6062d78ff547850054'
const coin_type_a = '0x26b3bc67befc214058ca78ea9a2690298d731a2d4309485ec3d40198063c4abc::usdt::USDT'
const coin_type_b = '0x26b3bc67befc214058ca78ea9a2690298d731a2d4309485ec3d40198063c4abc::cetus::CETUS'
const tick_data = await sdk.Pool.fetchTicks({
  pool_id,
  coin_type_a,
  coin_type_b,
})
```

### 2.Batch get ticks by tickHandle

Use `sdk.Pool.fetchTicksByRpc()` method.

#### Parameters

* `tick_handle`: The tick handle of pool.

#### Example

```typescript
const pool = await sdk.Pool.getPool('0x6fd4915e6d8d3e2ba6d81787046eb948ae36fdfc75dad2e24f0d4aaa2417a416')
const tick_data = await sdk.Pool.fetchTicksByRpc(pool.ticks_handle)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-sui-clmm-sdk/gets-ticks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
